FreeTDS API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Attributes | List of all members
tds_cursor Struct Reference

Holds informations about a cursor. More...

`#include <tds.h>`

## Public Attributes

TDS_INT | concurrency
TDS_INT | cursor_id
| cursor id returned by the server after cursor declare
char * | cursor_name
| name of the cursor
TDS_TINYINT | cursor_name_len
| length of cursor name > 0 and <= 30
TDS_INT | cursor_rows
| < number of updatable columns
TDS_TINYINT | hasargs
| cursor parameters exists ?
struct tds_cursor * | next
| next in linked list, keep first
TDS_TINYINT | options
| read only|updatable
char * | query
| SQL query.
TDS_USMALLINT | query_len
| SQL query length.
TDS_INT | ref_count
| reference counter so client can retain safely a pointer
TDSRESULTINFO * | res_info
TDS_SMALLINT | srv_status
TDS_CURSOR_STATUS | status
| cursor parameter
TDS_INT | type
| row fetched from this cursor

## Detailed Description

Holds informations about a cursor.

## Member Data Documentation

TDS_INT tds_cursor::cursor_rows

< number of updatable columns

< updatable column list number of cursor rows to fetch

The documentation for this struct was generated from the following file:

- include/tds.h